View Single Post
  #9  
Old 24 Aug 2019, 23:49
vbSuperfan vbSuperfan is offline
 
Join Date: Jun 2019
I'm posting this in this old thread since Google refers to it when googling the "Cannot declare class vB_dB_Assertor" error message.

This problem just happened to me too (on a local XAMPP install on Windows, with PHP 7.3.8 and MariaDB 10.4.6), and the solution above worked for me, i.e. to change:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

to:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

in the /core/includes/config.php file.

For some strange reason, the installer's first stage fails to fill in this value, which in turn cause this critical problem. Very strange?!
Reply With Quote